Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam UI JSF2 support 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.ui.component
Class UIFileUpload.LocalUploadValue

    java.lang.Object
      org.jboss.seam.ui.component.UIFileUpload.LocalUploadValue

Enclosing class:
  UIFileUpload

    protected class UIFileUpload.LocalUploadValue

extends Object

Helper class to store the local values.

Constructor Summary
`UIFileUpload.LocalUploadValue(String contentType, String fileName, Integer fileSize, InputStream inputStream)` Constructor for this class.

Method Summary
`String` | `getContentType()` Returns the contentType value.
`String` | `getFileName()` Returns the fileName value.
`Integer` | `getFileSize()` Returns the fileSize value.
`InputStream` | `getInputStream()` Returns the inputStream value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UIFileUpload.LocalUploadValue

    public UIFileUpload.LocalUploadValue(String contentType,
                                         String fileName,
                                         Integer fileSize,
                                         InputStream inputStream)

  Constructor for this class.

  Parameters:
    `contentType` - The local content type to save
    `fileName` - The local file name to save
    `fileSize` - The local file size to save
    `inputStream` - The local input stream to save

Method Detail

### getContentType

    public String getContentType()

  Returns the contentType value.

  Returns:
    the contentType value

### getFileName

    public String getFileName()

  Returns the fileName value.

  Returns:
    the fileName value

### getFileSize

    public Integer getFileSize()

  Returns the fileSize value.

  Returns:
    the fileSize value

### getInputStream

    public InputStream getInputStream()

  Returns the inputStream value.

  Returns:
    the inputStream value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam UI JSF2 support 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 Seam Framework. All Rights Reserved.